Skip to content
API referencePlatformPlatform billing

Search_platform_users

GET
/platform/v1/billing/users/search

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

q*string

The user UUID or email to look up. Free-form prefixes are not supported yet — the eventual Typesense pipeline will add that.

limit?integer

1..=50. Defaults to 20.

Formatint32
Range0 <= value

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/platform/v1/billing/users/search?q=string" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "items": [    {      "email_display": "string",      "has_active_subscription_in_project": true,      "has_existing_account_in_project": true,      "joined_at": "2019-08-24T14:15:22Z",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"    }  ]}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}